{
	"name": "dlib",
	"description": "General purpose library",
	"targetType": "sourceLibrary",
	"sourcePaths": ["dlib"],
	"importPaths": ["dlib"],
	"sourceFiles-linux": ["build/libstb.a"],
	"sourceFiles-windows": [],
	"libs-linux": [
		"X11", 
		"Xfixes", 
		"SDL3"
	],
	"dflags-webassembly": [
		"-mtriple=wasm32-unknown-unknown-wasm", 
		"-betterC", 
		"-vgc", 
		"-fvisibility=hidden", 
		"-i=.", 
		"-i=core", 
		"-i=std", 
		"--real-precision=double", 
		"--Xcc=-DBUILD_WASM", 
		"-gcc=clang"
	],
	"libs-windows": [],
	"preGenerateCommands-linux": ["./build.sh"],
	"subPackages": [
		{
			"name": "dlib-vulkan",
			"description": "Vulkan library for rendering and compute",
			"targetType": "sourceLibrary",
			"sourcePaths": ["vulkan"],
			"importPaths": ["vulkan"],
			"sourceFiles-linux": ["build/libvma.a"],
			"sourceFiles-windows": [],
			"dflags-ldc": ["--Xcc=-DBUILD_VULKAN"],
			"dflags-dmd": ["-Xcc=-DBUILD_VULKAN"],
			"libs-linux": [
				"vulkan", 
				"stdc++"
			],
			"libs-windows": [],
			"versions": ["BUILD_VULKAN"],
			"debugVersions": ["VULKAN_DEBUG"],
			"buildTypes": {
				"unittest": {
					"buildOptions": ["unittests", "debugMode", "debugInfo"],
					"versions": ["VULKAN_RENDERER_TEST"]
				}
			}
		},
		{
			"name": "dlib-assets",
			"description": "Asset loading utilities",
			"targetType": "sourceLibrary",
			"sourceFiles-linux": ["build/libcgltf.a"],
			"sourceFiles-windows": [],
			"versions": ["BUILD_ASSETS"]
		},
		{
			"name": "dlib-opengl",
			"description": "OpenGL bindings/set up utilities",
			"targetType": "sourceLibrary",
			"sourcePaths": ["opengl"],
			"importPaths": ["opengl"],
			"libs-linux": ["GL"],
			"libs-windows": [],
			"versions": ["BUILD_GL"]
		}
	],
	"buildTypes": {
		"unittest": {
			"buildOptions": ["unittests", "debugMode", "debugInfo"],
			"versions": ["DLIB_TEST", "VULKAN_RENDERER_TEST"]
		}
	}
}
